/////////////////////////////////////////////////////////////
// Flash Plugin and Player
// Copyright (C) 1998 Olivier Debon
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// 
///////////////////////////////////////////////////////////////
#ifndef _SOUND_H_
#define _SOUND_H_

#include "character.h"

#define GET_SOUND_RATE_CODE(f) (((f)&0x0c)>>2)

class Sound : public Character {
	long		 soundRate;	// In hz
	long		 stereo;	// True if stereo sound
	long		 sampleSize;	// 1 or 2 bytes

	short		*samples;		// Array of samples
	long		 nbSamples;

	long		 remaining;	// Remaining bytes to play
	char		*current;	// Samples to be played next

// Class variables
static  long		 dsp;		// Descriptor for /dev/dsp
static	long		 blockSize;
static	long		 nbInst;	// Number of instances

public:
	Sound(long id);
	~Sound();
	void    	 setSoundFlags(long f);
	short		*setNbSamples(long n);
	long		 play();	// Play sound, return number of bytes to play
	void		 stop();

// Class methods
	static int	 init(char *);
	static void	 release();
};

#endif /* _SOUND_H_ */
